package com.zjt.mapper;

import com.zjt.entity.cgmaterial;
import com.zjt.util.MyMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface cgmaterialMapper extends MyMapper<cgmaterial> {
    int deleteByPrimaryKey(Long id);

    void deldate(Long idl,String code);

    int insert(cgmaterial record);

    int insertSelective(cgmaterial record);

    List<cgmaterial> selectData();

    int updateByPrimaryKeySelective(cgmaterial record);

    int updateByPrimaryKey(cgmaterial record);

    List<cgmaterial> selectDataBy(@Param("id")String id, @Param("storeCode")String storeCode, @Param("begin")String begin, @Param("end")String end, @Param("receive")String receive);

}